For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Collections

Retrieve Product Collection

get

Retrieve a specific product collection by ID

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Responses
200

OK

application/json
or
get/api/v1/product_collections/{id}/
GET /api/v1/product_collections/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "collection_type": "static",
  "catalog": 1,
  "kwargs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ],
  "is_dynamic": true,
  "name": "text",
  "slug": "text",
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "integration": [
    {
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "content_type": {
        "id": 1,
        "app_label": "text",
        "model": "text"
      },
      "object_id": 1,
      "remote_id": "text",
      "version_date": "2026-01-01T00:00:00.000Z",
      "state": {},
      "local_batch_id": "text",
      "status": "processing",
      "content_object": {}
    }
  ]
}

Update Product Collection

put

Update an existing product collection

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Body
namestring · max: 255Required

Name of the product collection

collection_typestring · enumRequired

Type of the product collection

Possible values:
catalogintegerRequired

Foreign key to Catalog model

is_activebooleanOptional

Whether the product collection is active

Default: true
sort_optioninteger · nullableOptional

Foreign key to SortOption model

expiration_datestring · date-time · nullableOptional

Date and time when the collection expires

selected_filtersstring[]Optional

List of selected filters for the collection

Responses
200

OK

application/json
or
put/api/v1/product_collections/{id}/
PUT /api/v1/product_collections/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 212

{
  "name": "text",
  "collection_type": "static",
  "catalog": 1,
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ]
}
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "collection_type": "static",
  "catalog": 1,
  "kwargs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ],
  "is_dynamic": true,
  "name": "text",
  "slug": "text",
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "integration": [
    {
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "content_type": {
        "id": 1,
        "app_label": "text",
        "model": "text"
      },
      "object_id": 1,
      "remote_id": "text",
      "version_date": "2026-01-01T00:00:00.000Z",
      "state": {},
      "local_batch_id": "text",
      "status": "processing",
      "content_object": {}
    }
  ]
}

Delete Product Collection

delete

Delete an existing product collection

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
204

No Content

No content

delete/api/v1/product_collections/{id}/
DELETE /api/v1/product_collections/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Partial Update Product Collection

patch

Partially update an existing product collection

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Body
namestring · max: 255Optional

Name of the product collection

collection_typestring · enumOptional

Type of the product collection

Possible values:
catalogintegerOptional

Foreign key to Catalog model

is_activebooleanOptional

Whether the product collection is active

sort_optioninteger · nullableOptional

Foreign key to SortOption model

expiration_datestring · date-time · nullableOptional

Date and time when the collection expires

selected_filtersstring[]Optional

List of selected filters for the collection

Responses
200

OK

application/json
or
patch/api/v1/product_collections/{id}/
PATCH /api/v1/product_collections/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 212

{
  "name": "text",
  "collection_type": "static",
  "catalog": 1,
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ]
}
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "collection_type": "static",
  "catalog": 1,
  "kwargs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ],
  "is_dynamic": true,
  "name": "text",
  "slug": "text",
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "integration": [
    {
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "content_type": {
        "id": 1,
        "app_label": "text",
        "model": "text"
      },
      "object_id": 1,
      "remote_id": "text",
      "version_date": "2026-01-01T00:00:00.000Z",
      "state": {},
      "local_batch_id": "text",
      "status": "processing",
      "content_object": {}
    }
  ]
}

Retrieve Detailed Product Collection

get

Retrieve a specific product collection with detailed information

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

A unique integer value identifying this product collection.

Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Responses
200

OK

application/json
or
get/api/v1/product_collections/{id}/detailed/
GET /api/v1/product_collections/{id}/detailed/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "catalog": 1,
  "sort_option": 1,
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "collection_type": "static",
  "kwargs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ],
  "is_dynamic": true,
  "name": "text",
  "slug": "text",
  "is_active": true,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "integration": [
    {
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "content_type": {
        "id": 1,
        "app_label": "text",
        "model": "text"
      },
      "object_id": 1,
      "remote_id": "text",
      "version_date": "2026-01-01T00:00:00.000Z",
      "state": {},
      "local_batch_id": "text",
      "status": "processing",
      "content_object": {}
    }
  ]
}

List Product Collections

get

List all product collections

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
hyperbooleanOptional

Activate id to hyperlink the response data.

catalogintegerOptional

Filter by catalog ID

collection_typestring · enumOptional

Filter by collection type

Possible values:
expiration_date__gtstring · date-timeOptional

Filter by expiration date greater than

expiration_date__gtestring · date-timeOptional

Filter by expiration date greater than or equal to

expiration_date__ltstring · date-timeOptional

Filter by expiration date less than

expiration_date__ltestring · date-timeOptional

Filter by expiration date less than or equal to

expiration_date__isnullbooleanOptional

Filter by whether expiration date is null

pk__instringOptional

Filter by multiple IDs (comma-separated)

is_activebooleanOptional

Filter by active status

namestringOptional

Filter by name

slugstringOptional

Filter by slug

Responses
200

OK

application/json
countintegerOptionalExample: 0
nextstring · nullableOptional

Next page URL

previousstring · nullableOptional

Previous page URL

get/api/v1/product_collections/
GET /api/v1/product_collections/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 0,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "uuid": "550e8400-e29b-41d4-a716-446655440000",
      "collection_type": "static",
      "catalog": 1,
      "kwargs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "value_dict": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "selected_filters": [
        "text"
      ],
      "is_dynamic": true,
      "name": "text",
      "slug": "text",
      "is_active": true,
      "sort_option": 1,
      "expiration_date": "2026-01-01T00:00:00.000Z",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z",
      "integration": [
        {
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "content_type": {
            "id": 1,
            "app_label": "text",
            "model": "text"
          },
          "object_id": 1,
          "remote_id": "text",
          "version_date": "2026-01-01T00:00:00.000Z",
          "state": {},
          "local_batch_id": "text",
          "status": "processing",
          "content_object": {}
        }
      ]
    }
  ]
}

Create Product Collection

post

Create a new product collection

Authorizations
AuthorizationstringRequired
Query parameters
hyperbooleanOptional

Activate id to hyperlink the response data.

Body
namestring · max: 255Required

Name of the product collection

collection_typestring · enumRequired

Type of the product collection

Possible values:
catalogintegerRequired

Foreign key to Catalog model

is_activebooleanOptional

Whether the product collection is active

Default: true
sort_optioninteger · nullableOptional

Foreign key to SortOption model

expiration_datestring · date-time · nullableOptional

Date and time when the collection expires

selected_filtersstring[]Optional

List of selected filters for the collection

Responses
201

Created

application/json
or
post/api/v1/product_collections/
POST /api/v1/product_collections/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 212

{
  "name": "text",
  "collection_type": "static",
  "catalog": 1,
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ]
}
{
  "uuid": "550e8400-e29b-41d4-a716-446655440000",
  "collection_type": "static",
  "catalog": 1,
  "kwargs": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "value_dict": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "selected_filters": [
    "text"
  ],
  "is_dynamic": true,
  "name": "text",
  "slug": "text",
  "is_active": true,
  "sort_option": 1,
  "expiration_date": "2026-01-01T00:00:00.000Z",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z",
  "integration": [
    {
      "channel": {
        "id": 1,
        "name": "Commerce Channel",
        "catalog": 1,
        "channel_type": "web",
        "conf": {
          "ANY_ADDITIONAL_PROPERTY": "text"
        },
        "category_tree": "text",
        "is_active": true,
        "schema": {},
        "created_date": "2024-11-20T11:22:23.702774Z",
        "modified_date": "2024-11-20T11:22:23.702774Z"
      },
      "content_type": {
        "id": 1,
        "app_label": "text",
        "model": "text"
      },
      "object_id": 1,
      "remote_id": "text",
      "version_date": "2026-01-01T00:00:00.000Z",
      "state": {},
      "local_batch_id": "text",
      "status": "processing",
      "content_object": {}
    }
  ]
}

List Product Collections with details

get

List product collections with detailed information

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
hyperbooleanOptional

Activate id to hyperlink the response data.

catalogintegerOptional

Filter by catalog ID

collection_typestring · enumOptional

Filter by collection type

Possible values:
expiration_date__gtstring · date-timeOptional

Filter by expiration date greater than

expiration_date__gtestring · date-timeOptional

Filter by expiration date greater than or equal to

expiration_date__ltstring · date-timeOptional

Filter by expiration date less than

expiration_date__ltestring · date-timeOptional

Filter by expiration date less than or equal to

expiration_date__isnullbooleanOptional

Filter by whether expiration date is null

pk__instringOptional

Filter by multiple IDs (comma-separated)

is_activebooleanOptional

Filter by active status

namestringOptional

Filter by name

slugstringOptional

Filter by slug

Responses
200

OK

application/json
countintegerOptionalExample: 0
nextstring · nullableOptional

Next page URL

previousstring · nullableOptional

Previous page URL

get/api/v1/product_collections/detailed/
GET /api/v1/product_collections/detailed/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 0,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "catalog": 1,
      "sort_option": 1,
      "uuid": "550e8400-e29b-41d4-a716-446655440000",
      "collection_type": "static",
      "kwargs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "value_dict": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "selected_filters": [
        "text"
      ],
      "is_dynamic": true,
      "name": "text",
      "slug": "text",
      "is_active": true,
      "expiration_date": "2026-01-01T00:00:00.000Z",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z",
      "integration": [
        {
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "content_type": {
            "id": 1,
            "app_label": "text",
            "model": "text"
          },
          "object_id": 1,
          "remote_id": "text",
          "version_date": "2026-01-01T00:00:00.000Z",
          "state": {},
          "local_batch_id": "text",
          "status": "processing",
          "content_object": {}
        }
      ]
    }
  ]
}

List Product Collections with details (detailed_list action)

get

List product collections with detailed information using the detailed_list action

Authorizations
AuthorizationstringRequired
Query parameters
pageinteger · min: 1Optional

Specifies the page number of the current dataset

Default: 1
limitinteger · min: 1Optional

Indicates the number of rows on the current page.

Default: 10
hyperbooleanOptional

Activate id to hyperlink the response data.

catalogintegerOptional

Filter by catalog ID

collection_typestring · enumOptional

Filter by collection type

Possible values:
expiration_date__gtstring · date-timeOptional

Filter by expiration date greater than

expiration_date__gtestring · date-timeOptional

Filter by expiration date greater than or equal to

expiration_date__ltstring · date-timeOptional

Filter by expiration date less than

expiration_date__ltestring · date-timeOptional

Filter by expiration date less than or equal to

expiration_date__isnullbooleanOptional

Filter by whether expiration date is null

pk__instringOptional

Filter by multiple IDs (comma-separated)

is_activebooleanOptional

Filter by active status

namestringOptional

Filter by name

slugstringOptional

Filter by slug

Responses
200

OK

application/json
countintegerOptionalExample: 0
nextstring · nullableOptional

Next page URL

previousstring · nullableOptional

Previous page URL

get/api/v1/product_collections/detailed_list/
GET /api/v1/product_collections/detailed_list/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 0,
  "next": "text",
  "previous": "text",
  "results": [
    {
      "catalog": 1,
      "sort_option": 1,
      "uuid": "550e8400-e29b-41d4-a716-446655440000",
      "collection_type": "static",
      "kwargs": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "value_dict": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "selected_filters": [
        "text"
      ],
      "is_dynamic": true,
      "name": "text",
      "slug": "text",
      "is_active": true,
      "expiration_date": "2026-01-01T00:00:00.000Z",
      "created_date": "2026-01-01T00:00:00.000Z",
      "modified_date": "2026-01-01T00:00:00.000Z",
      "integration": [
        {
          "channel": {
            "id": 1,
            "name": "Commerce Channel",
            "catalog": 1,
            "channel_type": "web",
            "conf": {
              "ANY_ADDITIONAL_PROPERTY": "text"
            },
            "category_tree": "text",
            "is_active": true,
            "schema": {},
            "created_date": "2024-11-20T11:22:23.702774Z",
            "modified_date": "2024-11-20T11:22:23.702774Z"
          },
          "content_type": {
            "id": 1,
            "app_label": "text",
            "model": "text"
          },
          "object_id": 1,
          "remote_id": "text",
          "version_date": "2026-01-01T00:00:00.000Z",
          "state": {},
          "local_batch_id": "text",
          "status": "processing",
          "content_object": {}
        }
      ]
    }
  ]
}

Last updated

Was this helpful?